/*
 Name:    SoftI2C_LibTest
 Created: 2022-11-02
 Author:  Ulli (https://ullisroboterseite.de)
 Docs:    https://ullisroboterseite.de/arduino-soft-i2c.html
*/


#include <UrsArduinoSoftI2c.h>

const uint8_t sda = 8; // SDA pin is pin 8
const uint8_t scl = 9; // SCL pin is pin 9
const uint8_t devAdr = 0x30; // Device Address

void setup() {
   Serial.begin(9600);
   Serial.println("I2C-Test");
 
   SoftI2c.begin(sda, scl);
}

uint8_t writeBuffer[] = { 15, 16, 17, 18 };
uint8_t readBuffer[4];

void loop() {
   uint8_t rtc = SoftI2c.writePacket(devAdr, writeBuffer, sizeof(writeBuffer));
   if (rtc == sizeof(writeBuffer))
      Serial.println("write ok");
   else
      Serial.println("write error");


   rtc = SoftI2c.readPacket(devAdr, readBuffer, sizeof(readBuffer));
   if (rtc == sizeof(readBuffer))
      Serial.println("read ok");
   else
      Serial.println("read error");

   Serial.println();
   delay(1000);
}
